# RabbitMQ Initialization

This container is meant to declare a RabbitMQ exchange on a separate
RabbitMQ container. This is meant to be used as a Kubernetes pre-install
hook for the various helm charts that will access the RabbitMQ server.

## Build

```bash
docker build -t gitlab.ssec.wisc.edu:5555/cspp_geo/geosphere/geosphere-deploy/cspp-geo-rabbit-init:latest cspp_geo_rabbit_init/
```

## Usage

This container should run and after sending a couple messages to the RabbitMQ
server it should return.

```bash
docker run --rm gitlab.ssec.wisc.edu:5555/cspp_geo/geosphere/geosphere-deploy/cspp-geo-rabbit-init:latest
```

### Environment Variables

* **RABBITMQ_HOST**: Hostname for the remote RabbitMQ server. Required.
* **RABBITMQ_EXCHANGE_NAME**: Name of the exchange. Required.
* **RABBITMQ_USER**: Username to connect to the RabbitMQ server.
  Default: "guest"
* **RABBITMQ_PASSWORD**: Password to connect to the RabbitMQ server.
  Default: "guest"
* **RABBITMQ_EXCHANGE_TYPE**: Type of exchange to declare.
  Default: "topic"