#!/usr/bin/env python3

import os
import pika

if __name__ == "__main__":
    user = os.getenv("RABBITMQ_USERNAME", "guest")
    password = os.getenv("RABBITMQ_PASSWORD", "guest")
    rabbitmq_host = os.getenv("RABBITMQ_HOST")
    exchange = os.getenv("RABBITMQ_EXCHANGE_NAME")
    exchange_type = os.getenv("RABBITMQ_EXCHANGE_TYPE", "topic")

    credentials = pika.PlainCredentials(user, password)
    conn_params = pika.ConnectionParameters(host=rabbitmq_host,
                                            credentials=credentials)
    conn = pika.BlockingConnection(conn_params)
    ch = conn.channel()
    ch.exchange_declare(
        exchange=exchange,
        exchange_type=exchange_type,
        durable=True,
        auto_delete=False,
        internal=False,
    )
